Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.conf
Interface JDBCConfiguration

All Superinterfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, JDOConfiguration, Serializable

All Known Implementing Classes:
  JDBCConfigurationImpl

public interface JDBCConfiguration
extends JDOConfiguration

Configuration that defines the properties necessary to configure runtime and connect to a JDBC DataSource.

Field Summary
`static String` | `LOG_JDBC` Name of the logger for JDBC-related messages: `kodo.jdbc.JDBC`.
`static String` | `LOG_SCHEMA` Name of the logger for schema-related messages: `kodo.jdbc.Schema`.
`static String` | `LOG_SQL` Name of the logger for SQL execution messages: `kodo.jdbc.SQL`.

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`boolean` | `getAutoIncrementConstraints()` Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values.
`String` | `getClassIndicator()` The `ClassIndicator` to use when creating new class mappings.
`ConnectionDecorator[]` | `getConnectionDecoratorInstances()` The `ConnectionDecorator`s to use.
`String` | `getConnectionDecorators()` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`DataSource` | `getDataSource(KodoPersistenceManager pm)` Return the primary data source to use.
`DataSource` | `getDataSource2(KodoPersistenceManager pm)` Return the non-xa data source to use.
`String` | `getDataSourceMode()` The mode of the JDBC data source in use.
`String` | `getDBDictionary()` The `DBDictionary` to use to define the RDBMS SQL information.
`DBDictionary` | `getDBDictionaryInstance()` The `DBDictionary` to use.
`String` | `getFetchDirection()` The JDBC fetch direction.
`int` | `getFetchDirectionConstant()` Return the result set constant for the fetch direction.
`boolean` | `getForeignKeyConstraints()` Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints.
`JDBCListener[]` | `getJDBCListenerInstances()` The `JDBCListener`s to use.
`String` | `getJDBCListeners()` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`String` | `getLRSSize()` How to obtain the size of large result sets.
`int` | `getLRSSizeConstant()` Return the `JDBCFetchConfiguration` constant for the large result set size setting.
`String` | `getMappingFactory()` The plugin string for the `MappingFactory` to use in creating the O-R mappings.
`MappingFactory` | `getMappingFactoryInstance()` The `MappingFactory` to use for O-R mapping.
`MappingRepository` | `getMappingRepository()` Return the mapping repository.
`String` | `getResultSetType()` The JDBC result set type.
`int` | `getResultSetTypeConstant()` Return the result set constant for the result set type.
`String` | `getSchemaFactory()` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`SchemaFactory` | `getSchemaFactoryInstance()` The `SchemaFactory` to use for schema information.
`String` | `getSchemas()` Comma-separated list of modifiable schemas for JDO instances.
`String[]` | `getSchemasList()` Modificable schema components.
`String` | `getSequenceFactory()` The plugin string for the `SequenceFactory` implementation.
`SequenceFactory` | `getSequenceFactoryInstance()` The `SequenceFactory` to use.
`String` | `getSubclassMapping()` The `ClassMapping` to use when mapping subclasses.
`String` | `getSynchronizeMappings()` Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
`String` | `getTransactionIsolation()` The transaction isolation level to use at the database level.
`int` | `getTransactionIsolationConstant()` Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`String` | `getUpdateManager()` The `UpdateManager` to use for managing SQL updates.
`UpdateManager` | `getUpdateManagerInstance()` The `UpdateManager` for runtime data store interaction.
`String` | `getVersionIndicator()` The `VersionIndicator` to use when creating new class mappings.
`String` | `getVerticalQueryMode()` The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance.
`int` | `getVerticalQueryModeConstant()` Return the mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance.
`boolean` | `isDataSourceModeEnlisted()` Whether the data source is automatically enlisted in global transactions.
`void` | `setAutoIncrementConstraints(boolean autoInc)` Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values.
`void` | `setAutoIncrementConstraints(Boolean autoIncrementConstraints)` Wrapper for JCA usage of `setAutoIncrementConstraints(boolean)`.
`void` | `setClassIndicator(String classIndicator)` The full class or type name of the `ClassIndicator` to use when creating new class mappings.
`void` | `setConnectionDecorators(ConnectionDecorator[] decorators)` The `ConnectionDecorator`s to use.
`void` | `setConnectionDecorators(String decorators)` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`void` | `setDataSourceMode(String mode)` The mode of the JDBC data source in use.
`void` | `setDataSourceModeEnlisted(boolean enlisted)` Whether the data source is automatically enlisted in global transactions.
`void` | `setDBDictionary(DBDictionary dbdictionary)` The `DBDictionary` to use.
`void` | `setDBDictionary(String dbdictionary)` The `DBDictionary` to use to define the RDBMS SQL information.
`void` | `setFetchDirection(int direction)` Set the result set fetch direction constant.
`void` | `setFetchDirection(String direction)` The JDBC fetch direction.
`void` | `setFirstPersistenceManagerPassword(String pass)` Set the first connection password used to obtain a persistence manager.
`void` | `setFirstPersistenceManagerUserName(String user)` Set the first connection user name used to obtain a persistence manager.
`void` | `setForeignKeyConstraints(boolean foreignKeyConstraints)` Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints.
`void` | `setForeignKeyConstraints(Boolean foreignKeyConstraints)` Wrapper for JCA usage of `setForeignKeyConstraints(boolean)`.
`void` | `setJDBCListeners(JDBCListener[] jdbcListeners)` The `JDBCListener`s to use.
`void` | `setJDBCListeners(String jdbcListeners)` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`void` | `setLRSSize(int size)` Set the fetch configuration large result set size constant.
`void` | `setLRSSize(String lrsSize)` How to obtain the size of large result sets.
`void` | `setMappingFactory(MappingFactory mappingFactory)` The `MappingFactory` to use for O-R mapping.
`void` | `setMappingFactory(String mappingFactory)` The plugin string for the `MappingFactory` to use in creating the O-R mappings.
`void` | `setResultSetType(int type)` Set the result set constant type.
`void` | `setResultSetType(String type)` The JDBC result set type.
`void` | `setSchemaFactory(SchemaFactory schemaFactory)` The `SchemaFactory` to use for schema information.
`void` | `setSchemaFactory(String schemaFactory)` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`void` | `setSchemas(String schemas)` Comma-separated list of modifiable schemas for JDO instances.
`void` | `setSchemas(String[] schemas)` Modifiable schema components.
`void` | `setSequenceFactory(SequenceFactory sequenceFactory)` The `SequenceFactory` to use.
`void` | `setSequenceFactory(String sequenceFactory)` The plugin string for the `SequenceFactory` implementation.
`void` | `setSubclassMapping(String subclassMapping)` The `ClassMapping` to use when mapping subclasses.
`void` | `setSynchronizeMappings(String synchronizeMappings)` Whether Kodo should try to automatically refresh O/R mapping information and the database schema.
`void` | `setTransactionIsolation(int level)` Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`void` | `setTransactionIsolation(String level)` The transaction isolation level to use at the database level.
`void` | `setUpdateManager(String updateManager)` The `UpdateManager` to use for managing SQL updates.
`void` | `setUpdateManager(UpdateManager updateManager)` The `UpdateManager` for runtime data store interaction.
`void` | `setVersionIndicator(String versionIndicator)` The `VersionIndicator` to use when creating new class mappings.
`void` | `setVerticalQueryMode(int mode)` The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance.
`void` | `setVerticalQueryMode(String mode)` The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance.

Methods inherited from interface kodo.conf.JDOConfiguration
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getJMXInterface, getLicense, getLicenseKey, getLockManager, getLockTimeout, getLog, getManagedRuntime, getManagedRuntimeInstance, getMBeans, getMBeanServer, getMBeanServerStrategy, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProfilingAgent, getProfilingAgentInstance, getProfilingHelper, getProfilingHelperInstance, getProfilingInterface, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRemoteJMXAdaptor, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setJMXInterface, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setMBeans, setMBeanServerStrategy, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProfilingAgent, setProfilingHelper, setProfilingInterface, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRemoteJMXAdaptor, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface com.solarmetric.conf.Configuration
`close, fromProperties, getConfigurationException, getConfigurationLog, getLog, getLogFactory, getValue, getValues, isCaching, isFrozen, setCaching, setFrozen, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_SQL

    public static final String LOG_SQL

  Name of the logger for SQL execution messages: `kodo.jdbc.SQL`.

### LOG_JDBC

    public static final String LOG_JDBC

  Name of the logger for JDBC-related messages: `kodo.jdbc.JDBC`.

### LOG_SCHEMA

    public static final String LOG_SCHEMA

  Name of the logger for schema-related messages: `kodo.jdbc.Schema`.

Method Detail

### getSchemas

    public String getSchemas()

  Comma-separated list of modifiable schemas for JDO instances.

### setSchemas

    public void setSchemas(String schemas)

  Comma-separated list of modifiable schemas for JDO instances.

### getSchemasList

    public String[] getSchemasList()

  Modificable schema components.

### setSchemas

    public void setSchemas(String[] schemas)

  Modifiable schema components.

### getTransactionIsolation

    public String getTransactionIsolation()

  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.

### setTransactionIsolation

    public void setTransactionIsolation(String level)

  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.

### getTransactionIsolationConstant

    public int getTransactionIsolationConstant()

  Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.

### setTransactionIsolation

    public void setTransactionIsolation(int level)

  Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.

### getResultSetType

    public String getResultSetType()

  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet#TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_INSENSITIVE` type.

### getResultSetTypeConstant

    public int getResultSetTypeConstant()

  Return the result set constant for the result set type.

### setResultSetType

    public void setResultSetType(String type)

  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet#TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet#TYPE_SCROLL_INSENSITIVE` type.

### setResultSetType

    public void setResultSetType(int type)

  Set the result set constant type.

### getFetchDirection

    public String getFetchDirection()

  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet#FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet#FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet#FETCH_UNKNOWN` direction.

### getFetchDirectionConstant

    public int getFetchDirectionConstant()

  Return the result set constant for the fetch direction.

### setFetchDirection

    public void setFetchDirection(String direction)

  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet#FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet#FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet#FETCH_UNKNOWN` direction.

### setFetchDirection

    public void setFetchDirection(int direction)

  Set the result set fetch direction constant.

### getLRSSize

    public String getLRSSize()

  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet#last`.
  - `query`: Use a separate COUNT query to calculate the size of the results.

### getLRSSizeConstant

    public int getLRSSizeConstant()

  Return the `JDBCFetchConfiguration` constant for the large result set size setting.

### setLRSSize

    public void setLRSSize(String lrsSize)

  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet#last`.
  - `query`: Use a separate COUNT query to calculate the size of the results.

### setLRSSize

    public void setLRSSize(int size)

  Set the fetch configuration large result set size constant.

### getForeignKeyConstraints

    public boolean getForeignKeyConstraints()

  Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints. Defaults to false.

### setForeignKeyConstraints

    public void setForeignKeyConstraints(boolean foreignKeyConstraints)

  Whether Kodo will order SQL inserts, updates, and deletes to meet foreign key constraints. Defaults to false.

### setForeignKeyConstraints

    public void setForeignKeyConstraints(Boolean foreignKeyConstraints)

  Wrapper for JCA usage of `setForeignKeyConstraints(boolean)`.

### getAutoIncrementConstraints

    public boolean getAutoIncrementConstraints()

  Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values. Defaults to false.

### setAutoIncrementConstraints

    public void setAutoIncrementConstraints(boolean autoInc)

  Whether Kodo will order SQL to meet constraints imposed by auto-increment primary key values. Defaults to false.

### setAutoIncrementConstraints

    public void setAutoIncrementConstraints(Boolean autoIncrementConstraints)

  Wrapper for JCA usage of `setAutoIncrementConstraints(boolean)`.

### getSynchronizeMappings

    public String getSynchronizeMappings()

  Whether Kodo should try to automatically refresh O/R mapping information and the database schema.

### setSynchronizeMappings

    public void setSynchronizeMappings(String synchronizeMappings)

  Whether Kodo should try to automatically refresh O/R mapping information and the database schema.

### getDataSourceMode

    public String getDataSourceMode()

  The mode of the JDBC data source in use. Available options are:
  - local: Kodo controls the data source connections.
  - enlisted: Data source connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.

### setDataSourceMode

    public void setDataSourceMode(String mode)

  The mode of the JDBC data source in use. Available options are:
  - local: Kodo controls the data source connections.
  - enlisted: Data source connections are automatically enlisted in the current global transaction by an application server.
  Defaults to local.

### isDataSourceModeEnlisted

    public boolean isDataSourceModeEnlisted()

  Whether the data source is automatically enlisted in global transactions.

### setDataSourceModeEnlisted

    public void setDataSourceModeEnlisted(boolean enlisted)

  Whether the data source is automatically enlisted in global transactions.

### getJDBCListeners

    public String getJDBCListeners()

  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.

### setJDBCListeners

    public void setJDBCListeners(String jdbcListeners)

  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.

### getJDBCListenerInstances

    public JDBCListener[] getJDBCListenerInstances()

  The `JDBCListener`s to use.

### setJDBCListeners

    public void setJDBCListeners(JDBCListener[] jdbcListeners)

  The `JDBCListener`s to use.

### getConnectionDecorators

    public String getConnectionDecorators()

  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.

### setConnectionDecorators

    public void setConnectionDecorators(String decorators)

  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.

### getConnectionDecoratorInstances

    public ConnectionDecorator[] getConnectionDecoratorInstances()

  The `ConnectionDecorator`s to use.

### setConnectionDecorators

    public void setConnectionDecorators(ConnectionDecorator[] decorators)

  The `ConnectionDecorator`s to use.

### getDBDictionary

    public String getDBDictionary()

  The `DBDictionary` to use to define the RDBMS SQL information.

### setDBDictionary

    public void setDBDictionary(String dbdictionary)

  The `DBDictionary` to use to define the RDBMS SQL information.

### getDBDictionaryInstance

    public DBDictionary getDBDictionaryInstance()

  The `DBDictionary` to use.

### setDBDictionary

    public void setDBDictionary(DBDictionary dbdictionary)

  The `DBDictionary` to use.

### getSequenceFactory

    public String getSequenceFactory()

  The plugin string for the `SequenceFactory` implementation.

### setSequenceFactory

    public void setSequenceFactory(String sequenceFactory)

  The plugin string for the `SequenceFactory` implementation.

### getSequenceFactoryInstance

    public SequenceFactory getSequenceFactoryInstance()

  The `SequenceFactory` to use.

### setSequenceFactory

    public void setSequenceFactory(SequenceFactory sequenceFactory)

  The `SequenceFactory` to use.

### getUpdateManager

    public String getUpdateManager()

  The `UpdateManager` to use for managing SQL updates.

### setUpdateManager

    public void setUpdateManager(String updateManager)

  The `UpdateManager` to use for managing SQL updates.

### getUpdateManagerInstance

    public UpdateManager getUpdateManagerInstance()

  The `UpdateManager` for runtime data store interaction.

### setUpdateManager

    public void setUpdateManager(UpdateManager updateManager)

  The `UpdateManager` for runtime data store interaction.

### getMappingFactory

    public String getMappingFactory()

  The plugin string for the `MappingFactory` to use in creating the O-R mappings. Defaults to the `FileMappingFactory`.

### setMappingFactory

    public void setMappingFactory(String mappingFactory)

  The plugin string for the `MappingFactory` to use in creating the O-R mappings. Defaults to the `FileMappingFactory`.

### getMappingFactoryInstance

    public MappingFactory getMappingFactoryInstance()

  The `MappingFactory` to use for O-R mapping.

### setMappingFactory

    public void setMappingFactory(MappingFactory mappingFactory)

  The `MappingFactory` to use for O-R mapping.

### getSchemaFactory

    public String getSchemaFactory()

  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.

### setSchemaFactory

    public void setSchemaFactory(String schemaFactory)

  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.

### getSchemaFactoryInstance

    public SchemaFactory getSchemaFactoryInstance()

  The `SchemaFactory` to use for schema information.

### setSchemaFactory

    public void setSchemaFactory(SchemaFactory schemaFactory)

  The `SchemaFactory` to use for schema information.

### getVersionIndicator

    public String getVersionIndicator()

  The `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.

### setVersionIndicator

    public void setVersionIndicator(String versionIndicator)

  The `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.

### getClassIndicator

    public String getClassIndicator()

  The `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.

### setClassIndicator

    public void setClassIndicator(String classIndicator)

  The full class or type name of the `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.

### getSubclassMapping

    public String getSubclassMapping()

  The `ClassMapping` to use when mapping subclasses. Defaults to `flat`.

### setSubclassMapping

    public void setSubclassMapping(String subclassMapping)

  The `ClassMapping` to use when mapping subclasses. Defaults to `flat`.

### getMappingRepository

    public MappingRepository getMappingRepository()

  Return the mapping repository. Convenience method to cast from the internal metadata repository.

### getDataSource

    public DataSource getDataSource(KodoPersistenceManager pm)

  Return the primary data source to use. The data source will automatically use the given persistence manager's user name and password on calls to `DataSource.getConnection()`. If the given persistence manager is null, the data source will use the configuration's default connection user name and password. If those too are null and the first persistence manager has been obtained already, then the user name and password for that persistence manager will be returned, as we know they represent a valid combination. This method avoids casting the result of `JDOConfiguration.getConnectionFactory()`, and avoids having to pass in the user name and password to obtain connections.

### getDataSource2

    public DataSource getDataSource2(KodoPersistenceManager pm)

  Return the non-xa data source to use. If there is a valid non-xa connection factory configured, then it will be returned. Its default user name and password on calls to `DataSource.getConnection()` will be the specificed connection 2 user name and password. If those are null and the given persistence manager is non-null, its user name password will be used instead. If the persistence manager is null too, then the user name and password used to retrieve the first persistence manager will be used. If there is no second connection factory the primary connection factory is used.
  See Also:
    `getDataSource(kodo.runtime.KodoPersistenceManager)`

### getVerticalQueryMode

    public String getVerticalQueryMode()

  The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance. Defaults to `per-subclass`.
  - `per-subclass`: Execute a separate SQL query for each subclass in inheritance hierarchies that use vertical mapping.
  - `base-tables`: Execute a single SQL query that selects columns from the base class's tables only. May result in many additional queries being performed to load the fields in the current fetch group configuration.

### getVerticalQueryModeConstant

    public int getVerticalQueryModeConstant()

  Return the mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance.

### setVerticalQueryMode

    public void setVerticalQueryMode(String mode)

  The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance. Defaults to `per-subclass`.
  - `per-subclass`: Execute a separate SQL query for each subclass in inheritance hierarchies that use vertical mapping.
  - `base-tables`: Execute a single SQL query that selects columns from the base class's tables only. May result in many additional queries being performed to load the fields in the current fetch group configuration.

### setVerticalQueryMode

    public void setVerticalQueryMode(int mode)

  The mode to use when performing JDOQL queries on class hierarchies that use vertical inheritance. Defaults to `per-subclass`.
  - `per-subclass`: Execute a separate SQL query for each subclass in inheritance hierarchies that use vertical mapping.
  - `base-tables`: Execute a single SQL query that selects columns from the base class's tables only. May result in many additional queries being performed to load the fields in the current fetch group configuration.

### setFirstPersistenceManagerUserName

    public void setFirstPersistenceManagerUserName(String user)

  Set the first connection user name used to obtain a persistence manager. This information is cached in case the configuration does not include the ConnectionUserName property. Called automatically by system.

### setFirstPersistenceManagerPassword

    public void setFirstPersistenceManagerPassword(String pass)

  Set the first connection password used to obtain a persistence manager. This information is cached in case the configuration does not include the ConnectionPassword property. Called automatically by system.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.